<script setup>
import { reactive, inject, onMounted } from 'vue';
import { onLaunch, onShow, onHide } from '@dcloudio/uni-app';
import useUserStore from './stores/useUserStore';
import useDictStore from './stores/useDictStore';
const { $api, navTo, appendScriptTagElement } = inject('globalFunction');
import config from '@/config.js';

onLaunch((options) => {
    useUserStore().initSeesionId(); //更新
    useDictStore().getDictData();
    uni.hideTabBar();
    // 登录
    let token = uni.getStorageSync('token') || ''; // 同步获取 缓存信息
    if (token) {
        useUserStore()
            .loginSetToken(token)
            .then(() => {
                $api.msg('登录成功');
            });
    } else {
        uni.redirectTo({
            url: '/pages/login/login',
        });
    }
});

onMounted(() => {});

onShow(() => {
    console.log('App Show');
});

onHide(() => {
    console.log('App Hide');
});
</script>

<style>
/*每个页面公共css */
@import '@/common/animation.css';
@import '@/common/common.css';
/* 修改pages tabbar样式 H5有效 */
.uni-tabbar .uni-tabbar__item:nth-child(4) .uni-tabbar__bd .uni-tabbar__icon {
    height: 110rpx !important;
    width: 122rpx !important;
    margin-top: 6rpx;
}

.uni-tabbar-border {
    background-color: transparent !important;
    /* background-color: #e4e4e4 !important; */
}
.uni-popup {
    z-index: 1001 !important;
}
/* 提升toast层级 */
uni-toast,
uni-modal,
.uni-modal,
.uni-mask {
    z-index: 998;
}

@font-face {
    font-family: DingTalk JinBuTi;
    src: url('/static/font/DingTalk JinBuTi_min.woff2') format('woff2');
    font-display: swap;
}

@font-face {
    font-family: PingFangSC-Regular;
    src: url('https://qd.zhaopinzao8dian.com/file/csn/PingFangSC-Regular.woff2') format('woff2');
    font-display: swap;
}

@font-face {
    font-family: PingFangSC-Medium;
    src: url('https://qd.zhaopinzao8dian.com/file/csn/PingFangSC-Medium.woff2') format('woff2');
    font-display: swap;
}

@font-face {
    font-family: DIN-Medium;
    src: url('https://qd.zhaopinzao8dian.com/file/csn/DIN-Medium.woff2') format('woff2');
    font-display: swap;
}

body {
    font-family: 'PingFangSC-Regular', 'PingFang SC', 'Microsoft YaHei', 'Helvetica Neue', Helvetica, Arial, sans-serif;
}
</style>
